package ch.unisg.executorhumidity.executor.domain;

import ch.unisg.executorbase.executor.domain.ExecutorBase;
import ch.unisg.executorbase.executor.domain.ExecutorType;
import ch.unisg.executorhumidity.executor.adapter.out.GetHumidityAdapter;
import ch.unisg.executorhumidity.executor.application.port.out.GetHumidityPort;
import org.eclipse.californium.elements.exception.ConnectorException;

import java.io.IOException;

public class Executor extends ExecutorBase {

    private static final Executor executor = new Executor(ExecutorType.HUMIDITY);

    private final GetHumidityPort getHumidityPort = new GetHumidityAdapter();

    private Executor(ExecutorType executorType) {super(executorType);}

    public static Executor getExecutor() {return executor;}


    @Override
    protected
    String execution(String input) {
        //TODO: Fill

        String result = getHumidityPort.getHumidity();

        return result;
    }
}
