package ch.unisg.roster.roster.application.port.in;

import javax.validation.constraints.NotNull;

import ch.unisg.common.validation.SelfValidating;
import lombok.EqualsAndHashCode;
import lombok.Value;

@Value
@EqualsAndHashCode(callSuper=false)
public class DeleteTaskCommand extends SelfValidating<ApplyForTaskCommand> {
    @NotNull
    private final String taskId;

    public DeleteTaskCommand(String taskId) {
        this.taskId = taskId;
        this.validateSelf();
    }
}
