package ch.unisg.roster.roster.application.service;

import ch.unisg.roster.roster.adapter.out.web.GetExecutorsInExecutorPoolWebAdapter;
import ch.unisg.roster.roster.domain.ExecutorRegistry;

// TODO should this implement a port in the Hexagonal architecture?
public class GetExecutorsService {

    public boolean getExecutorsFromExecutorPool(){
        var getExecutorsAdapter = new GetExecutorsInExecutorPoolWebAdapter();
        var executors = getExecutorsAdapter.getExecutorsInExecutorPool();
        if(executors == null){
            return false;
        }
        var executorRegistry = ExecutorRegistry.getInstance();
        return executorRegistry.addExecutors(executors);
    }
}
