package ch.unisg.tapas.auctionhouse.application.service;

import ch.unisg.tapas.auctionhouse.adapter.out.web.GetExecutorsFromExecutorPoolWebAdapter;
import ch.unisg.tapas.auctionhouse.domain.ExecutorRegistry;

public class GetExecutorsService {

    public boolean getExecutorsFromExecutorPool(){
        var getExecutorsAdapter = new GetExecutorsFromExecutorPoolWebAdapter();
        var executors = getExecutorsAdapter.getExecutorsInExecutorPool();
        if(executors == null){
            return false;
        }
        var executorRegistry = ExecutorRegistry.getInstance();
        return executorRegistry.addExecutors(executors);
    }
}
