package ch.unisg.tapas.auctionhouse.adapter.in.messaging.websub;

import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

/**
 * This class validates the subscription intent from the websub hub
 */
@RestController
public class ValidateIntentWebSubAdapter {

    // TODO generate a new capability ID instead of using a hardcoded one.
    @GetMapping(path = "/auction-started/74c72c7f-2739-4124-aa35-a3225171a97c")
    public ResponseEntity<String> validateIntent(@RequestParam("hub.challenge") String challenge) {
        return new ResponseEntity<>(challenge, HttpStatus.OK);
    }
}
