package ch.unisg.tapas.auctionhouse.application.service;

import java.util.List;

import org.springframework.stereotype.Component;

import ch.unisg.tapas.auctionhouse.application.port.in.AuctionHouseDiscoveryUseCase;
import ch.unisg.tapas.auctionhouse.domain.AuctionHouseDiscovery;
import ch.unisg.tapas.auctionhouse.domain.AuctionHouseDiscoveryInformation;

@Component
public class AuctionHouseDiscoveryService implements AuctionHouseDiscoveryUseCase {

    @Override
    public List<AuctionHouseDiscoveryInformation> auctionHouseDiscovery() {
        return AuctionHouseDiscovery.getInstance().getAuctionHouseDiscoveryList();
    }

}
