package ch.unisg.tapas.auctionhouse.domain;

import ch.unisg.common.valueobject.ExecutorURI;
import lombok.Getter;
import lombok.Setter;

public class ExecutorInfo {
    @Getter
    @Setter
    private ExecutorURI executorURI;

    @Getter
    @Setter
    private Auction.AuctionedTaskType executorType;

    public ExecutorInfo(String executorURI, String executorType){
        this.executorURI = new ExecutorURI(executorURI);
        this.executorType = new Auction.AuctionedTaskType(executorType);
    }
}
